﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace dovizburosu
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            curun.Text = "Seçiniz";
            radioButton1.Checked = true;
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int miktar;
            bool kmiktar=Int32.TryParse(tmiktar.Text,out miktar);

            if (kmiktar && curun.SelectedIndex > -1)
            {

                lurun.Items.Add(curun.Text);
                lmiktar.Items.Add(tmiktar.Text);

                double elemantutar = 0;
                if (radioButton1.Checked)
                {
                    lislem.Items.Add("Alış");
                    elemantutar = miktar * Convert.ToDouble(lsatis.Items[curun.SelectedIndex]);
                }
                else
                {
                    lislem.Items.Add("Satış");
                    elemantutar = miktar * Convert.ToDouble(lalis.Items[curun.SelectedIndex]);
                }

                ltutar.Items.Add(elemantutar);

                curun.SelectedIndex = -1;
                tmiktar.Text = "";


                hesapla();
            }
        }

        private void hesapla()
        {

            double toplam = 0;

            for (int eleman = 0; eleman < lurun.Items.Count; eleman++)
            {
                double ututar = Convert.ToDouble(ltutar.Items[eleman]);

                if (lislem.Items[eleman] == "Alış")
                    toplam -= ututar;
                else
                    toplam += ututar;
            }

            lsontutar.Text = toplam + " TL"; // formatlama komutları kullanılabilir
        
        }

        private void bdyaz_Click(object sender, EventArgs e)
        {
            string yazi = "";
            try
            {
                for (int eleman = 0; eleman < lurun.Items.Count; eleman++)
                {
                    yazi += lurun.Items[eleman] + ";" + lmiktar.Items[eleman] + ";" + lislem.Items[eleman] + ";" + ltutar.Items[eleman] + "\n";
                }
                File.WriteAllText("cikti.txt", yazi);
                MessageBox.Show("Dosyaya Yazıldı!");
            }
            catch {
                MessageBox.Show("Dosya Yazılamadı!");
            }


        }

        private void bcikis_Click(object sender, EventArgs e)
        {
            this.Close();
               
        }

        ListBox lalis = new ListBox();
        ListBox lsatis = new ListBox();
        private void bkurguncelle_Click(object sender, EventArgs e)
        {
            Form2 frm2 = new Form2(curun,lalis,lsatis);
            frm2.ShowDialog();

            curun.Text = "Seçiniz";

        }
    }
}
